Bug 1284508 - UI: Unable to pick security groups in dropdown list until <None> option is deselected
UI: Unable to pick security groups in dropdown list until <None> option is de...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.6.0
Assigned To: Dávid Halász
Jiri Stefanisin
ui
: ZStream
Depends On:
Blocks: 1290017
  Show dependency treegraph
 
Reported: 2015-11-23 09:01 EST by Pavol Kotvan
Modified: 2016-06-29 11:10 EDT (History)
6 users (show)

See Also:
Fixed In Version: 5.6.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1290017 (view as bug list)
Environment:
Last Closed: 2016-06-29 11:10:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Recorded desktop capturing behavior of security group dropdown list (1.78 MB, application/ogg)
2015-11-23 09:01 EST, Pavol Kotvan
no flags Details

  None (edit)
Description Pavol Kotvan 2015-11-23 09:01:36 EST
Created attachment 1097654 [details]
Recorded desktop capturing behavior of security group dropdown list

Description of problem:
When provisioning new instance, selection of one or multiple security groups is not possible until <None> option is deselected from dropdown list.

Version-Release number of selected component (if applicable):
5.5.0.11-rc1.20151117182049_653c0d4

How reproducible:
always

Steps to Reproduce:
1. Try to provision new Openstack instance
2. Go to Environment tab and try to pick security group 

Please have a look on attached video.

Actual results:
<None> option which is selected by default is resetting SG choice made by user.

Expected results:
When user selects security group from dropdown list, <None> option must not stay selected.

Additional info:
Tried this with RHOS7-GA provider. Workaround is to select security group and quickly deselect <None> option. After that other multiple SGs can be added.
Comment 2 Harpreet Kataria 2015-11-23 10:49:16 EST
David,

This looks like an issue introduced by drop down conversions, can you look into this one. Let me know if you have questions.

Thanks,
~Harpreet
Comment 4 CFME Bot 2015-12-03 10:53:31 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/911d1a4a8a71dc719ab385081d59e114caa4c534

commit 911d1a4a8a71dc719ab385081d59e114caa4c534
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Mon Nov 30 16:11:47 2015 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Mon Nov 30 16:11:47 2015 +0100

    Do not add dummy none field for bs-select fields with multiple choices
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1284508

 app/views/miq_request/_prov_field.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 5 CFME Bot 2015-12-03 10:54:00 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/911d1a4a8a71dc719ab385081d59e114caa4c534

commit 911d1a4a8a71dc719ab385081d59e114caa4c534
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Mon Nov 30 16:11:47 2015 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Mon Nov 30 16:11:47 2015 +0100

    Do not add dummy none field for bs-select fields with multiple choices
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1284508

 app/views/miq_request/_prov_field.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 6 CFME Bot 2015-12-09 14:58:22 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=45df632b911a76f23abe9067fb4a8fa2d23fe696

commit 45df632b911a76f23abe9067fb4a8fa2d23fe696
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Mon Nov 30 16:11:47 2015 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Thu Dec 3 14:05:10 2015 +0100

    Do not add dummy none field for bs-select fields with multiple choices
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1284508
    Clean cherrypick from: https://github.com/ManageIQ/manageiq/pull/5644
    (cherry picked from commit 911d1a4a8a71dc719ab385081d59e114caa4c534)

 app/views/miq_request/_prov_field.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 7 CFME Bot 2015-12-09 14:58:26 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=95d1dad6ba38c473f2cfe11ccc13091f6037d27a

commit 95d1dad6ba38c473f2cfe11ccc13091f6037d27a
Merge: 4c83344 45df632
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Wed Dec 9 14:53:46 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Wed Dec 9 14:53:46 2015 -0500

    Merge branch 'bz-1284508' into '5.5.z'
    
    Do not add dummy none field for bs-select fields with multiple choices
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1284508
    
    5.5 BZ: https://bugzilla.redhat.com/show_bug.cgi?id=1290017
    
    Clean cherrypick from: https://github.com/ManageIQ/manageiq/pull/5644
    (cherry picked from commit 911d1a4a8a71dc719ab385081d59e114caa4c534)
    
    See merge request !576

 app/views/miq_request/_prov_field.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 10 errata-xmlrpc 2016-06-29 11:10:54 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1348

Note You need to log in before you can comment on or make changes to this bug.